Jump to content
ricarios

1&1 ipayment

Recommended Posts

Their website says there is a module for oscommerce. Try asking them for it and if it doesn't go with 2.3.4.1 we can help with changing it.

There is no need for the installation of a payment module to make changes to any of the core code so if properly written it should be compatible with mainstream osC 2.3.4.1. If you are using the community responsive version of 2.3.4.1 then the module will likely need some minor changes.

On the other hand, if it has been written by someone preparing ipayment modules for a lot of different ecommerce platforms, it is probably not done in the best way for osc and it might need restructuring to avoid unnecessary core code changes.


Contact me for work on updating existing stores - whether to Phoenix or the new osC when it's released.

Looking for a payment or shipping module? Maybe I've already done it.

Working on generalising bespoke solutions for Quickbooks integration, Easify integration and pay4later (DEKO) integration at 2.3.x

Share this post


Link to post
Share on other sites

From a quick look through I expect that to work with mainstream osC 2.3.4.1 and up to php5.6

If you need it for the latest ("Edge") version of the responsive community build (2.3.4.1 BS) then it will need some changes to work properly - I can do the edits for you quickly but I'll leave you the testing!

Of course if the ipayments interface has changed at all in the last 10 years there may be other things that need tweaking.


Contact me for work on updating existing stores - whether to Phoenix or the new osC when it's released.

Looking for a payment or shipping module? Maybe I've already done it.

Working on generalising bespoke solutions for Quickbooks integration, Easify integration and pay4later (DEKO) integration at 2.3.x

Share this post


Link to post
Share on other sites

Actually it turns out that there's a more recent version of this module in both the 2.3.4.1 distribution and also Edge.

It should already be there, you just need to install it!

admin > modules > payment... click on install new module

Edited by BrockleyJohn

Contact me for work on updating existing stores - whether to Phoenix or the new osC when it's released.

Looking for a payment or shipping module? Maybe I've already done it.

Working on generalising bespoke solutions for Quickbooks integration, Easify integration and pay4later (DEKO) integration at 2.3.x

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×